Build error with METEOR@1.3.4.1


#1

hi all,

although my app starts and works fine when I’m trying to build I get his error

Errors prevented bundling:
While minifying app code:
/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:196:18: Unexpected token:
operator (>)
at new JS_Parse_Error
(/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:196:18)
at js_error (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:204:11)
at croak (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:675:9)
at token_error (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:683:9)
at unexpected (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:689:9)
at expr_atom (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:1196:9)
at maybe_unary (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:1358:19)
at expr_ops (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:1393:24)
at maybe_conditional
(/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:1398:20)
at maybe_assign (/home/ubuntu/.meteor/packages/standard-minifier-js/.1.0.7_1.gzztmk++os+web.browser+web.cordova/plugin.minifyStdJS.os/npm/node_modules/meteor/minifier-js/node_modules/uglify-js/lib/parse.js:1422:20)

which is not much of a help for me. Any ideas how I can track this down will be highly appreciated.

Cheers


#2

I have the same issue, which starts when I cloned a copy of accounts-ui-bootstrap3, and modified it and included at as a private package.